import request from '@/utils/request'

// 查询学生档案信息列表
export function listInfo(query) {
  return request({
    url: '/student/info/list',
    method: 'get',
    params: query
  })
}


export function listInfols(query) {
  return request({
    url: '/student/old/list',
    method: 'get',
    params: query
  })
}

export function listInfolss(query) {
  return request({
    url: '/student/old/echarts',
    method: 'get',
    params: query
  })
}



export function listInfostu(query) {
  return request({
    url: '/system/student/noPage/list',
    method: 'get',
    params: query
  })
}



// 查询学生档案信息详细
export function getInfo(id) {
  return request({
    url: '/student/info/' + id,
    method: 'get'
  })
}

// 新增学生档案信息
export function addInfo(data) {
  return request({
    url: '/student/info',
    method: 'post',
    data: data
  })
}

// 修改学生档案信息
export function updateInfo(data) {
  return request({
    url: '/student/info/put',
    method: 'post',
    data: data
  })
}

// 删除学生档案信息
export function delInfo(id) {
  return request({
    url: '/student/info/delete/' + id,
    method: 'get'
  })
}